Subject: smc91111

From: Jon Masters <[email-masked]>
Date: Mon, 4 Oct 2004 23:28:26 +0100

Hi all,

I've got a hacked version of the smc91111 driver from an old arm tree
that I'm happily using on my board at work - I'll post patches for it
in due course as we use a custom 16bit bus that physically looks and
acts like ISA (but really is cunningly slightly different in timing
and spec as it's a soft core implemented bridge bodged together to
work on a dev board. mmmmmm.).

Today I had to add some ethtool support to the driver to support using
howl (anybody else use that to do Zero Conf?) and was debating fixing
up http://criticalmass.sourceforge.net/kernel/smc91x/ to work with odd
bus types like ours (it's a lot of work and testing compared with a
quick hack to get this done on time so this question is more
hyperthetical when I'm done with the immediate problem).

Who is using the SMC91111 family of MACs and if so which driver do you use?

Jon.